[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.DoAutoAdjustLayout

Performs actions needed to apply the specified auto-adjust layout policy.

## Declaration

Source position: comctrls.pp line 432

`protected procedure TCustomTabControl.DoAutoAdjustLayout(`
`const AMode: TLayoutAdjustmentPolicy;`
`const AXProportion: Double;`
`const AYProportion: Double`
`); override;`

## Arguments

`AMode` |  | Layout adjustment policy applied in the method.
`AXProportion` |  | Horizontal scaling factor for a layout adjustment policy.
`AYProportion` |  | Vertical scaling factor for a layout adjustment policy.

## Description

DoAutoAdjustLayout is an overridden method in TCustomTabControl used to apply the specified auto-adjustment layout policy to the tabbed control. It calls the inherited method on entry to adjust the size, position, and alignment for the control including border spacing.

DoAutoAdjustLayout ensures that the width and height for the tabs and their assigned images are updated when needed. The image list in the widgetset class is updated (when assigned) to use the resolution needed for the PPI setting in Font. Values in TabWidth and TabHeight are adjusted (when assigned) using the scaling factors in AXProportion and AYProportion.

DoAutoAdjustLayout method is called from the DoAutoAdjustLayout method, and occurs when a scaled form (and its controls) are displayed in an application.

## Version info

Modified in LCL version 3.0 to apply scaling factors to TabWidth and TabHeight.

## See also

TCustomTabControl.Images |  | Contains the images displayed on the tabs for the control.
TControl.DoAutoAdjustLayout |  | Applies layout changes using the specified policy and scaling proportions to the control.
TLayoutAdjustmentPolicy |  | Indicates the policy for the LCL to execute automatic adjustments in the form layout.